Subject: Re: [rfc 0/3] IPVS: checksum updates

From: Wensong Zhang <[email-masked]>
Date: Thu, 11 Sep 2008 22:43:18 +0800

Julius Volz wrote:
> On Thu, Sep 11, 2008 at 3:45 PM, Simon Horman <[email-masked]> wrote:
>   
>> On Thu, Sep 11, 2008 at 09:07:22PM +0800, Wensong Zhang wrote:
>>     
>>> Simon Horman wrote:
>>>       
>>>> On Wed, Sep 10, 2008 at 07:30:52PM +0200, Julius Volz wrote:
>>>>
>>>>         
>>>>> On Tue, Sep 9, 2008 at 1:31 PM, Simon Horman <[email-masked]> wrote:
>>>>>
>>>>>           
>>>>>> On Tue, Sep 09, 2008 at 11:30:29AM +0200, Julius Volz wrote:
>>>>>>
>>>>>>             
>>>>>>> Great, thanks! I have tested TCP+UDP, local+remote clients, v4+v6,
>>>>>>> NAT+DSR+TUN in all combinations that are expected to be working and
>>>>>>> found no problems.
>>>>>>>
>>>>>>>               
>>>>>> Thanks once again for your testing. I'll send a pull request to Dave in
>>>>>> the morning.
>>>>>>
>>>>>>             
>>>>> Thanks very much!
>>>>>
>>>>> (CC: Wensong)
>>>>> I guess it would make sense to start hosting the new ipvsadm version
>>>>> somewhere on http://www.linuxvirtualserver.org/ soon. It could still
>>>>> be marked as unstable and saying, "If you intend to use the
>>>>> experimental IPv6 support for IPVS introduced in kernel 2.6.XX, you
>>>>> will need this new version of ipvsadm: ...". Also, we can then point
>>>>> to it in the Kconfig help text in CONFIG_IP_VS_IPV6. What do you
>>>>> think?
>>>>>
>>>>>           
>>>> Yes I agree. It would be good to start hosting tarballs of the
>>>> new/unstable/experimental version of ipvsadm on www.linuxvirtualserver.org.
>>>>
>>>> Wensong, can we also host some sort of repository for ipvsadm on
>>>> linuxvirtualserver.org? If not, I guess the next most logical choice
>>>> would be to use kernel.org.
>>>>
>>>>
>>>>         
>>> Hi Horms and Julius,
>>>
>>> I have created a svn repository for ipvsadm at
>>> http://svn.linuxvirtualserver.org/repos/ipvsadm/ before, will create the
>>> check-in accounts for you right now.
>>>       
>
> Thanks, cool!
>
>   
>> Great. I think that Vince needs an account too, he has done most (all?)
>> of the relevant work so far.
>>     
>
> Yes, Vince did all of the ipvsadm porting!
>
> Julius
>
>   
I'll create an account for Vince right now.

Thank you very much,

Wensong